from launch import LaunchDescription
from launch.actions import DeclareLaunchArgument
from launch.substitutions import LaunchConfiguration

from launch_ros.actions import Node

def generate_launch_description():
    return LaunchDescription([
        DeclareLaunchArgument(
            'traj_name', default_value='single_drone_square',
            description='Name of the trajectory to follow'
        ),
        DeclareLaunchArgument(
            'drone_name', default_value='Drone1',
            description='Name (namespace) of the drone for which the trajectory is assigned'
        ),
        Node(
            package='ls2n_drone_command_center',
            namespace=LaunchConfiguration('drone_name'),
            executable='trajectory_publisher',
            name='traj_pub',
            parameters=[
                {'trajectory': LaunchConfiguration('traj_name')}
            ]
        ),
    ])
