from os.path import join
from typing import Dict

import yaml
from ament_index_python.packages import get_package_share_directory

PACKAGE_NAME = "ls2n_drone_command_center"


def load_yaml(*, filename: str) -> Dict[str, Dict[str, int]]:
    """The `load_yaml` function loads a YAML file and returns its contents
            as a dictionary.

    Parameters
    ----------
    _file : str
            The `filename` parameter is a string that represents the name of
            the YAML file to be loaded.

    Returns
    -------
            The function `load_yaml` returns either a `Dict[str, int]` or a
            `Dict[str, Dict[str, int]]`.

    """
    with open(
        join(
            get_package_share_directory(PACKAGE_NAME),
            "config",
            f"{filename}.yaml",
        ),
        "r",
        encoding="utf-8",
    ) as file:
        return yaml.safe_load(file)
